diff -uNr linux-2.6.16.1/drivers/video/intelfb/intelfbdrv.c linux-2.6.16.1-imac-sky2-rtc/drivers/video/intelfb/intelfbdrv.c
--- linux-2.6.16.1/drivers/video/intelfb/intelfbdrv.c	2006-03-28 07:49:02.000000000 +0100
+++ linux-2.6.16.1-imac-sky2-rtc/drivers/video/intelfb/intelfbdrv.c	2006-05-15 02:13:15.000000000 +0100
@@ -181,6 +181,7 @@
 	{ PCI_VENDOR_ID_INTEL, PCI_DEVICE_ID_INTEL_85XGM, PCI_ANY_ID, PCI_ANY_ID, PCI_CLASS_DISPLAY_VGA << 8, INTELFB_CLASS_MASK, INTEL_85XGM },
 	{ PCI_VENDOR_ID_INTEL, PCI_DEVICE_ID_INTEL_865G, PCI_ANY_ID, PCI_ANY_ID, PCI_CLASS_DISPLAY_VGA << 8, INTELFB_CLASS_MASK, INTEL_865G },
 	{ PCI_VENDOR_ID_INTEL, PCI_DEVICE_ID_INTEL_915G, PCI_ANY_ID, PCI_ANY_ID, PCI_CLASS_DISPLAY_VGA << 8, INTELFB_CLASS_MASK, INTEL_915G },
+	{ PCI_VENDOR_ID_INTEL, 0x27a2 , PCI_ANY_ID, PCI_ANY_ID, PCI_CLASS_DISPLAY_VGA << 8, INTELFB_CLASS_MASK, INTEL_915G },
 	{ PCI_VENDOR_ID_INTEL, PCI_DEVICE_ID_INTEL_915GM, PCI_ANY_ID, PCI_ANY_ID, PCI_CLASS_DISPLAY_VGA << 8, INTELFB_CLASS_MASK, INTEL_915GM },
 	{ 0, }
 };
diff -uNr linux-2.6.16.1/drivers/video/intelfb/intelfbhw.c linux-2.6.16.1-imac-sky2-rtc/drivers/video/intelfb/intelfbhw.c
--- linux-2.6.16.1/drivers/video/intelfb/intelfbhw.c	2006-03-28 07:49:02.000000000 +0100
+++ linux-2.6.16.1-imac-sky2-rtc/drivers/video/intelfb/intelfbhw.c	2006-05-15 02:02:33.000000000 +0100
@@ -98,6 +98,11 @@
 		*chipset = INTEL_915G;
 		*mobile = 0;
 		return 0;
+	case 0x27a2:
+		*name = "Intel(R) 945G";
+		*chipset = INTEL_915G;
+		*mobile = 0;
+		return 0;
 	case PCI_DEVICE_ID_INTEL_915GM:
 		*name = "Intel(R) 915GM";
 		*chipset = INTEL_915GM;
